Commit 0f8c0417 authored by Nicolas Lenz's avatar Nicolas Lenz
Browse files

Update Stack config and other stuff for v2.0.0

parent 7cdd8d2a
......@@ -4,12 +4,12 @@ cabal-version: 2.2
--
-- see: https://github.com/sol/hpack
--
-- hash: f6e423a919b0a29eb7bd7720b01a6760fbc6c0f2da46b1d348842b0c163d6c34
-- hash: 82ed6980342b3ba1872fed0a8d1e6156efcc6d537a2a984fdda6414fba9d3a2b
name: mock
version: 0.1.0
version: 2.0.0
synopsis: GrEAt HAskeLL PrOGRaM to trANsForm tEXT
description: Please see the README on GitHub at <https://git.eisfunke.com/software/mock#readme>
description: Please see the README at <https://git.eisfunke.com/software/mock#readme>
category: String
author: Nicolas Lenz
maintainer: nicolas@eisfunke.com
......@@ -32,7 +32,7 @@ library
hs-source-dirs:
src
build-depends:
base
base >=4.7 && <5
, random
, time
default-language: Haskell2010
......@@ -45,6 +45,8 @@ executable mock
app
ghc-options: -threaded -rtsopts -with-rtsopts=-N
build-depends:
base
base >=4.7 && <5
, mock
, random
, time
default-language: Haskell2010
name: mock
version: 0.1.0
version: 2.0.0
license: WTFPL
git: "https://git.eisfunke.com/software/mock"
author: "Nicolas Lenz"
......@@ -9,24 +9,17 @@ copyright: "2018 Nicolas Lenz"
extra-source-files:
- README.md
# Metadata used when publishing your package
synopsis: GrEAt HAskeLL PrOGRaM to trANsForm tEXT
category: String
# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
description: Please see the README on GitHub at <https://git.eisfunke.com/software/mock#readme>
description: Please see the README at <https://git.eisfunke.com/software/mock#readme>
dependencies:
- base >= 4.7 && < 5
- random
- time
library:
source-dirs: src
dependencies:
- base
- random
- time
executables:
mock:
......@@ -37,5 +30,4 @@ executables:
- -rtsopts
- -with-rtsopts=-N
dependencies:
- base
- mock
......@@ -43,7 +43,7 @@ mockRandom str = do
letterspace :: Int -> String -> String
letterspace n = intercalate (replicate n ' ') . map (\c -> [c])
-- |Transforms a character into its double-struck variant (if it is alphanumeric).
-- |Transforms a character into its double-struck variant (if it is alphanumeric, else it is left unchanged).
toDS :: Char -> Char
toDS 'C' = chr 8450
toDS 'H' = chr 8461
......
# This file was automatically generated by 'stack init'
#
# Some commonly used options have been documented as comments in this file.
# For advanced use and comprehensive documentation of the format, please see:
# https://docs.haskellstack.org/en/stable/yaml_configuration/
# Resolver to choose a 'specific' stackage snapshot or a compiler version.
# A snapshot resolver dictates the compiler version and the set of packages
# to be used for project dependencies. For example:
#
# resolver: lts-3.5
# resolver: nightly-2015-09-21
# resolver: ghc-7.10.2
#
# The location of a snapshot can be provided as a file or url. Stack assumes
# a snapshot provided as a file might change, whereas a url resource does not.
#
# resolver: ./custom-snapshot.yaml
# resolver: https://example.com/snapshots/2018-01-01.yaml
resolver: lts-12.19
# User packages to be built.
# Various formats can be used as shown in the example below.
#
# packages:
# - some-directory
# - https://example.com/foo/bar/baz-0.0.2.tar.gz
# - location:
# git: https://github.com/commercialhaskell/stack.git
# commit: e7b331f14bcffb8367cd58fbfc8b40ec7642100a
# - location: https://github.com/commercialhaskell/stack/commit/e7b331f14bcffb8367cd58fbfc8b40ec7642100a
# subdirs:
# - auto-update
# - wai
packages:
- .
# Dependency packages to be pulled from upstream that are not in the resolver
# using the same syntax as the packages field.
# (e.g., acme-missiles-0.3)
# extra-deps: []
# Override default flag values for local packages and extra-deps
# flags: {}
# Extra package databases containing global packages
# extra-package-dbs: []
# Control whether we use the GHC we find on the path
# system-ghc: true
#
# Require a specific version of stack, using version ranges
# require-stack-version: -any # Default
# require-stack-version: ">=1.9"
#
# Override the architecture used by stack, especially useful on Windows
# arch: i386
# arch: x86_64
#
# Extra directories used by stack for building
# extra-include-dirs: [/path/to/dir]
# extra-lib-dirs: [/path/to/dir]
#
# Allow a newer minor version of GHC than the snapshot specifies
# compiler-check: newer-minor
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment